Scriptname DJK_PlayerAliasScript extends ReferenceAlias 

DJK_DynamicJumpKey Property MCMScript Auto

Event OnPlayerLoadGame()
    Utility.Wait(1)
    ;Debug.Notification("DJK Load Game")
    If MCMScript.bShowMeter
        MCMScript.DestroyJumpMeter()
        Utility.Wait(1)
        MCMScript.CreateJumpMeter()
    Endif 
    
    MCMScript.SetArrays() 
    OnRaceSwitchComplete()
    MCMScript.StopPositioningMeter()
    MCMScript.UpdateStrings()
    
EndEvent

Event OnRaceSwitchComplete()
    Utility.Wait(1)
    
    Int Index =  MCMScript.DJK_Races.Find(MCMScript.PlayerRef.GetRace()) 
    If Index < 0 
        Index = 0 
    Endif 
    
    If MCMScript.DJK_RaceIndex != Index 
        MCMScript.SetSettingsForCurrentRace()
    Endif 
EndEvent
  